[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragObjectEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Extends TDragObject to automatically free itself in the DragManager.

## Declaration

Source position: controls.pp line 540

`type TDragObjectEx = class(TDragObject)`
`public`
`constructor Create(); override;` |  | Constructor for the class instance.
`end;`

## Inheritance

`TDragObjectEx` |  | Extends TDragObject to automatically free itself in the DragManager.
`TDragObject` |  | Base class for managing drag operations and user feedback.
`TObject`

## Description

TDragObjectEx is a TDragObject descendant. It provides an overridden constructor which sets the AutoFree property to True.

## See also

TDragObject |  | Base class for managing drag operations and user feedback.